<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Riwayat Pendidikan</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">

  <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
          <span>Riwayat Pendidikan</span>
        </div>
      </div>
    </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card bg-body bg-opacity-50 shadow-sm">
<!--        <div class="card-header">-->
<!--          <h4>List</h4>-->
<!--        </div>-->
        <div class="card-body">
          <button type="button" th:if="${submit == null}" class="btn btn-primary rounded-pill" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);" data-bs-toggle="modal" data-bs-target="#exampleModal">
            Tambah Data
          </button>
          <br>

          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <form th:action="@{/form/pendidikan}" method="post" enctype="multipart/form-data">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Pendidikan</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body">
                    <div class="mb-3">
                      <label>Nama Perguruan Tinggi</label>
                      <input type="text" name="namaPerguruanTinggi" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Status</label>
                      <select name="statusPerguruan" class="form-select" required>
                        <option value="" selected disabled>-- Pilih --</option>
                        <option value="Dalam Negeri">Dalam Negeri</option>
                        <option value="Luar Negeri">Luar Negeri</option>
                      </select>
                    </div>
                    <div class="mb-3">
                      <label>Bidang</label>
                      <input type="text" name="bidang" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Tahun Lulus</label>
                      <input type="text" name="tahunLulus" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Gelar</label>
                      <input type="text" name="gelar" class="form-control">
                      <input type="hidden" name="pendaftar" th:value="${id}">
                    </div>
                    <div class="mb-3">
                      <label>Upload Ijazah <span style="color: red; font-size: 12px;">* Wajib diisi</span></label>
                      <input type="file" class="form-control" name="image" required>
                    </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary rounded-pill" data-bs-dismiss="modal">Tutup</button>
                    <button type="submit" class="btn btn-primary rounded-pill">Simpan</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
          <br>
          <div class="table-responsive">
            <table class="table table-hover table-striped small">
              <thead class="table-dark" style="--bs-table-bg:#15408d;">
              <tr>
                <th>#</th>
                <th>Nama Perguruan Tinggi</th>
                <th>Status</th>
                <th>Bidang</th>
                <th>Tahun Lulus</th>
                <th>Gelar</th>
                <th></th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              <tr class="align-middle" th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}"></td>
                <td th:text="${data.namaPerguruanTinggi}"></td>
                <td th:text="${data.statusPerguruan}"></td>
                <td th:text="${data.bidang}"></td>
                <td th:text="${data.tahunLulus}"></td>
                <td th:text="${data.gelar}"></td>
                <td>
                  <a th:href="@{/form/pendidikan{riwayatPendidikan}(riwayatPendidikan = ${data.id})}" target="_blank" class="btn btn-warning btn-sm">Lihat File Upload</a>
                </td>
                <td>
                  <form th:if="${submit == null}" method="post" th:action="@{/form/delete/pendidikan(riwayatPendidikan=${data.id})}">
                    <button type="submit" class="btn btn-danger btn-sm"
                            onclick="return confirm('Are you sure want to delete this?')">
                      hapus
                    </button>
                  </form>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
        <div class="card-footer">
          <div class="row">
            <div class="col-md-5 col-sm-5">
              <div th:if="${submit != null}"><div class="alert alert-warning p-2" th:text="${submit}"></div></div>
            </div>
            <div class="col-md-7 col-sm-7" style="text-align: right;">
              <a th:href="@{/form/pekerjaan}" class="btn btn-success rounded-pill">Selanjutnya</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </main>
</main>
</body>
</html>